/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IContext, IQueuedMessage, IPartitionLambdaConfig, IPartitionLambda, IPartitionLambdaFactory, LambdaCloseType, IDocumentLambdaServerConfiguration } from "@fluidframework/server-services-core";
export declare class DocumentLambda implements IPartitionLambda {
    private readonly factory;
    private readonly context;
    private readonly documentLambdaServerConfiguration;
    private readonly documents;
    private readonly contextManager;
    private activityCheckTimer;
    constructor(factory: IPartitionLambdaFactory<IPartitionLambdaConfig>, context: IContext, documentLambdaServerConfiguration: IDocumentLambdaServerConfiguration);
    handler(message: IQueuedMessage): undefined;
    close(closeType: LambdaCloseType): void;
    private handlerCore;
    private logMessageDetails;
    /**
     * Closes inactive documents
     */
    private inactivityCheck;
}
//# sourceMappingURL=documentLambda.d.ts.map